﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ISULIN' AND COLUMN_NAME = 'NUMB')
	AND NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE WHERE TABLE_NAME = 'ISULIN' AND CONSTRAINT_NAME = 'FK_ISULIN_ISUHDR')
BEGIN 
PRINT 'Creating foreign key FK_ISULIN_ISUHDR on table ISULIN'
ALTER TABLE [dbo].[ISULIN]  WITH CHECK ADD  CONSTRAINT [FK_ISULIN_ISUHDR] FOREIGN KEY([NUMB])
REFERENCES [ISUHDR] ([NUMB])
ON DELETE CASCADE
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[ISULIN]') AND name = N'XISULIN1')
BEGIN 
PRINT 'Creating index XISULIN1 on table ISULIN'
CREATE UNIQUE NONCLUSTERED INDEX [XISULIN1] ON [dbo].[ISULIN] 
(
	[SKUN] ASC,
	[NUMB] ASC,
	[LINE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ISULIN' AND COLUMN_NAME = 'SRTF' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_ISULIN_SRTF')
BEGIN 
    PRINT 'Creating default constraint DF_ISULIN_SRTF on table ISULIN' 
    ALTER TABLE [dbo].[ISULIN]
    ADD CONSTRAINT [DF_ISULIN_SRTF] DEFAULT ((0)) FOR [SRTF]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ISULIN' AND COLUMN_NAME = 'ADDM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_ISULIN_ADDM')
BEGIN 
    PRINT 'Creating default constraint DF_ISULIN_ADDM on table ISULIN' 
    ALTER TABLE [dbo].[ISULIN]
    ADD CONSTRAINT [DF_ISULIN_ADDM] DEFAULT ((0)) FOR [ADDM]
END 
GO

